byte checkButton(){
  
  byte event = noEvent;
  digitalWrite(ledPin, LOW);
  button.update();

  if (button.fell()){
    buttonPressStartTimeStamp = millis();
    startTimeout = true;   
  }

  if (button.rose()){
    buttonPressDuration = (millis() - buttonPressStartTimeStamp);
    startTimeout = false;
  }

  if (buttonPressDuration > 0 && buttonPressDuration <= shortTime){
    event = shortPress;
    buttonPressDuration = 0;
  }

  if (startTimeout == true && (millis() - buttonPressStartTimeStamp) > longTime){
    event = longPress;
    startTimeout = false;
    buttonPressDuration = 0;
  }
  return event;
}

