void storeDataToEPROM(){

byte buttonState = digitalRead(savePin);
if (buttonState  == LOW) { 
   savePress = 0;
 }else {
   if (savePress == 0) {
     savePress = millis(); 
   }else if (millis() - savePress > 750) {
    EEPROM.write(ID_ADDRESS, EEPROM_ID);
    int address=BASE_ADDRESS;
    for(int note=0;note<16;note++){
      EEPROM.write(24*patchNumber + note, val[note]);
    }
    
    EEPROM.write(24*patchNumber+16, bpm);
    EEPROM.write(24*patchNumber+17, steps);
    EEPROM.write(24*patchNumber+18, dir);    
    EEPROM.write(24*patchNumber+19, mix);
    EEPROM.write(24*patchNumber+20, fbk);
    EEPROM.write(24*patchNumber+21, mult);
    EEPROM.write(24*patchNumber+22, glide);
    EEPROM.write(24*patchNumber+23, scl);
    
    
    lcd.setCursor(0,0);
    lcd.write("    PRESET       ");
    lcd.setCursor(11,0);
    lcd.print(patchNumber);
    lcd.setCursor(0,1);
    lcd.write("      SAVE        ");
    delay(750);
    lcd.clear();
    }
  }
}
  
void readDataFromEPROM(){
  byte buttonState2 = digitalRead(loadPin);
    if (buttonState2  == LOW) { 
      loadPress = 0;
    }else { 
      if (loadPress == 0) { 
        loadPress = millis();  
     }else if (millis() - loadPress > 750) { 
      byte id=EEPROM.read(ID_ADDRESS);
      if(id==EEPROM_ID){
        int address=BASE_ADDRESS;
        for(int note=0;note<16;note++){
          val[note]=EEPROM.read(24*patchNumber + note);
        }  
        
        bpm   = EEPROM.read(24*patchNumber+16);
        steps = EEPROM.read(24*patchNumber+17);
        dir   = EEPROM.read(24*patchNumber+18);    
        mix   = EEPROM.read(24*patchNumber+19);
        fbk   = EEPROM.read(24*patchNumber+20);
        mult  = EEPROM.read(24*patchNumber+21);
        glide = EEPROM.read(24*patchNumber+22);
        scl   = EEPROM.read(24*patchNumber+23);
        
        lcd.setCursor(0,0);
        lcd.write("    PRESET       ");
        lcd.setCursor(11,0);
        lcd.print(patchNumber);
        lcd.setCursor(0,1);
        lcd.write("      LOAD        ");
        delay(750);
        lcd.clear();
      }
      else{
        storeDataToEPROM();
      }
    }
  }
}

