void sequencer(){

  event = checkButton();

  if (i != lastCounter){
    lastCounter = i;
  }

  switch (event){
    case shortPress:
      if (shortPressEnabled){
  
//MANUAL - FORWARD///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

if(round(dir)==0){
  if(i <(round(steps))){
    
    analogWrite(outpin, step1[round(val[i])] );
    i++;
    digitalWrite(ledPin, HIGH);
    if(i==(round(steps))){
      i=0;
    }
  }else
    i = 0;
  } else
    
//MANUAL - REVERSE//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
if(round(dir)==1){
  if(i>-1){
    analogWrite(outpin, step1[round(val[i])] );
    i--; 
    digitalWrite(ledPin, HIGH);
    if(i==-1){
      i=(round(steps)-1);
    }      
  }else
    i = (round(steps)+1);
  }else
     
//MANUAL - PING PONG///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
if(round(dir)==2){
  if (direction==up) {
    if(i < (round(steps))-1){
      analogWrite(outpin, step1[round(val[i])] );
      i++;    
      digitalWrite(ledPin, HIGH);
    }else
     direction = down;
  }  
  if(direction == down){
    if(i>0){
      analogWrite(outpin, step1[round(val[i])] );
      i--;  
      digitalWrite(ledPin, HIGH);      
      if(i==0){
        direction=up;
      }
    }else
    direction = up;
  }
} else
     
//MANUAL - RANDOM//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

if(round(dir)==3){
  i = random(0,round(steps)); 
  digitalWrite(ledPin, HIGH);
  analogWrite(outpin, step1[round(val[i])] );
}
//END MANUAL - SEQUENCE//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

}break;

  case longPress:
    longPressCount ++;
    if (longPressCount == 1){
      autoEnabled = false;
      shortPressEnabled = true;
      
      
      if(hits==7){
        lcd.setCursor(0, 0);
        lcd.print("TRIG.");
        lcd.setCursor(6, 0);
        lcd.print("S:");
        lcd.setCursor(11, 0);
        lcd.print("M:");
        lcd.setCursor(8, 0);
        lcd.print(String(round(steps))+" "); 
        lcd.setCursor(13, 0);
        //lcd.print(mode2[round(dir)]); 
      }
    }
    if (longPressCount == 2){
      autoEnabled = true;
      lastAutoIncrement = millis();
      shortPressEnabled = false;
      longPressCount = 0;
    }
  break;

  case noEvent:
    if (autoEnabled == true){
      
      if(hits==7){
        lcd.setCursor(0, 0);
        lcd.print("T:");
        lcd.setCursor(6, 0);
        lcd.print("S:");
        lcd.setCursor(11, 0);
        lcd.print("M:");
        lcd.setCursor(2,0);
      }
      
      int tempo = bpm*multiplier[round(mult)];
      
    tempo = min(999, max(2, tempo));
      
      if(hits==7){
        lcd.print(String(round(tempo))+" ");
        lcd.setCursor(8, 0);
        lcd.print(String(round(steps))+" "); 
        lcd.setCursor(13, 0); 
      }
      
      int tapState = digitalRead( tapPin );
        if( tapState == LOW && tapState != lastTapState ){
          tapTempo();
        }
        lastTapState = tapState; 

unsigned long currentMillis = millis();  
unsigned long currentMillisLED = millis(); 
  
      
//AUTO - FORWARD////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
if(round(dir)==0){
  Serial.println(previousMillisLED);
  if(i < (round(steps))){
    digitalWrite(ledPin, LOW);
      if(multiplier[round(mult)]<=1 && multiplier[round(mult)]!=0.75){
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
          if(currentMillis - previousMillis > (sixtyk[round(mult)]/bpm)) {
            previousMillis = currentMillis; 
            analogWrite(outpin, step1[round(val[i])] );
            i++;
          }
        }
      }
      if(multiplier[round(mult)]>1 && multiplier[round(mult)]!=1.5){
        if(currentMillis - previousMillis > (sixtyk[round(mult)]/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
          if(currentMillisLED - previousMillisLED > (60000/bpm)){
            digitalWrite(ledPin, HIGH);
            previousMillisLED = currentMillisLED; 
          }
        }
      }
      
      if(multiplier[round(mult)]==0.75){
        if(currentMillis - previousMillis > (80000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      
      if(multiplier[round(mult)]==1.5){
        if(currentMillis - previousMillis > (45000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      
  }else
    i = 0;
  } else
    
//AUTO - REVERSE/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
if(round(dir)==1){
  if(i>-1){
    digitalWrite(ledPin, LOW);
    if(multiplier[round(mult)]<=1 && multiplier[round(mult)]!=0.75){
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
          if(currentMillis - previousMillis > (60000/tempo)) {
            previousMillis = currentMillis; 
            analogWrite(outpin, step1[round(val[i])] );
            i--;
          }
        }
      }
      if(multiplier[round(mult)]>1 && multiplier[round(mult)]!=1.5){
        if(currentMillis - previousMillis > (60000/tempo)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
          if(currentMillisLED - previousMillisLED > (60000/bpm)){
            digitalWrite(ledPin, HIGH);
            previousMillisLED = currentMillisLED; 
          }
        }
      }
      
      if(multiplier[round(mult)]==0.75){
        if(currentMillis - previousMillis > (80000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      if(multiplier[round(mult)]==1.5){
        if(currentMillis - previousMillis > (45000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      
    if(i==-1){
      i=(round(steps)-1);
    }
  }else
    i = (round(steps));
  }else
     
//AUTO - PING PONG/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  
if(round(dir)==2){
  if (direction==up) {
    if(i < (round(steps))-1){
      digitalWrite(ledPin, LOW);
            if(multiplier[round(mult)]<=1 && multiplier[round(mult)]!=0.75){
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
          if(currentMillis - previousMillis > (60000/tempo)) {
            previousMillis = currentMillis; 
            analogWrite(outpin, step1[round(val[i])] );
            i++;
          }
        }
      }
      if(multiplier[round(mult)]>1 && multiplier[round(mult)]!=1.5){
        if(currentMillis - previousMillis > (60000/tempo)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
          if(currentMillisLED - previousMillisLED > (60000/bpm)){
            digitalWrite(ledPin, HIGH);
            previousMillisLED = currentMillisLED; 
          }
        }
      }
      
      if(multiplier[round(mult)]==0.75){
        if(currentMillis - previousMillis > (80000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      if(multiplier[round(mult)]==1.5){
        if(currentMillis - previousMillis > (45000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i++;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      
    }else
    direction = down;
  }
  if(direction == down){
    if(i>0){
      digitalWrite(ledPin, LOW);
            if(multiplier[round(mult)]<=1 && multiplier[round(mult)]!=0.75){
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
          if(currentMillis - previousMillis > (60000/tempo)) {
            previousMillis = currentMillis; 
            analogWrite(outpin, step1[round(val[i])] );
            i--;
          }
        }
      }
      if(multiplier[round(mult)]>1 && multiplier[round(mult)]!=1.5){
        if(currentMillis - previousMillis > (60000/tempo)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
          if(currentMillisLED - previousMillisLED > (60000/bpm)){
            digitalWrite(ledPin, HIGH);
            previousMillisLED = currentMillisLED; 
          }
        }
      }
      
      if(multiplier[round(mult)]==0.75){
        if(currentMillis - previousMillis > (80000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      if(multiplier[round(mult)]==1.5){
        if(currentMillis - previousMillis > (45000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i--;
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      
    }else
    direction = up;
  }
} else
     
//AUTO - RANDOM////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    if(round(dir)==3){
      digitalWrite(ledPin, LOW);
            if(multiplier[round(mult)]<=1 && multiplier[round(mult)]!=0.75){
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
          if(currentMillis - previousMillis > (60000/tempo)) {
            previousMillis = currentMillis; 
            analogWrite(outpin, step1[round(val[i])] );
            i = random(0,round(steps));
          }
        }
      }
      if(multiplier[round(mult)]>1 && multiplier[round(mult)]!=1.5){
        if(currentMillis - previousMillis > (60000/tempo)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i = random(0,round(steps));
          if(currentMillisLED - previousMillisLED > (60000/bpm)){
            digitalWrite(ledPin, HIGH);
            previousMillisLED = currentMillisLED; 
          }
        }
      }
      
      if(multiplier[round(mult)]==0.75){
        if(currentMillis - previousMillis > (80000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i = random(0,round(steps));
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
      if(multiplier[round(mult)]==1.5){
        if(currentMillis - previousMillis > (45000/bpm)) {
          previousMillis = currentMillis; 
          analogWrite(outpin, step1[round(val[i])] );
          i = random(0,round(steps));
        }
        if(currentMillisLED - previousMillisLED > (60000/bpm)){
          digitalWrite(ledPin, HIGH);
          previousMillisLED = currentMillisLED; 
        }
      }
    }
//END AUTO - SEQUENCE/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    }
  }
}





